UHD 003.005.002-0-unknown

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros
Classes | Namespaces | Functions
zero_copy.hpp File Reference
`#include <uhd/config.hpp>`
`#include <boost/utility.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <boost/intrusive_ptr.hpp>`
`#include <boost/detail/atomic_count.hpp>`

Go to the source code of this file.

## Classes
class | uhd::transport::managed_buffer
| Simple managed buffer with release interface. More...
class | uhd::transport::managed_recv_buffer
class | uhd::transport::managed_send_buffer
class | uhd::transport::zero_copy_if

## Namespaces
| uhd
| uhd::transport

## Functions
UHD_INLINE void | uhd::transport::intrusive_ptr_add_ref (managed_buffer *p)
UHD_INLINE void | uhd::transport::intrusive_ptr_release (managed_buffer *p)